<template>
	<view class="container">
		<z-nav-bar title="吴门医述" bgColor="#5188e5" fontColor="#fff" :backState="2000"></z-nav-bar>
		<view class="contentBox">
			<view class="oneCateList">
				<common-sticky itemStyle="width:33.3%; height: 38px;font-size:24rpx;" :list="oneCateList" label="title"
				:currentCateIndex="curOneCateIndex" @handleselectCate="setOneCateIndex"></common-sticky>
			</view>
			
			<view v-show="!showSearchList" style="padding-bottom: 140rpx;">
				<view class="grid twoCateList" v-if="twoCateList.length > 0">
					<u-grid :col="3" border class="u-grid-list">
						<u-grid-item v-for="(item, index) in twoCateList" :key="item.dictType"
							@click="setTwoCateIndex(item, index)">
							<view :class="['grid-text',curTwoCateIndex == index ? 'cur' : '']">{{item.dictValue}}</view>
						</u-grid-item>
					</u-grid>
				</view>
				<!-- 吴门缘起-吴门之徽 -->
				<view class="titleList" v-if="curOneCateIndex == 2&&curTwoCateIndex == 2">
					<u-grid :col="3" v-if="titleList.length > 0">
						<u-grid-item v-for="(item, index) in titleList" :key="item.id" @click="previewImage(item.url)"
							style="align-items: flex-start;">
							<img :src="item.url" alt="" class="wmzhimg" mode="aspectFit">
						</u-grid-item>
					</u-grid>
					<u-divider v-else text="暂无数据哦~"></u-divider>
				</view>
				<!-- 学术贡献-学术思想和学术平台 -->
				<view class="titleList" v-else-if="curOneCateIndex == 0&&(curTwoCateIndex == 0||curTwoCateIndex == 2)">
					<u-grid :col="1" v-if="titleList.length > 0">
						<u-grid-item v-for="(item, index) in titleList" :key="item.id" @click="gotoDetail(item)"
							style="align-items: flex-start;border-bottom: 2px solid #fff;">
							<view :class="['titleItem']">{{item.title}}</view>
						</u-grid-item>
					</u-grid>
					<u-divider v-else text="暂无数据哦~"></u-divider>
				</view>
				<!-- 学术贡献-出版专著 -->
				<view class="titleList" v-else-if="curOneCateIndex == 0&&(curTwoCateIndex == 1)">
					<u-divider text="点击标签进入出版专著"></u-divider>
				</view>
				<!-- 其他 -->
				<view class="titleList" v-else>
					<u-grid :col="1" v-if="titleList.length > 0&&(curOneCateIndex==0||curOneCateIndex==2)">
						<u-grid-item v-for="(item, index) in titleList" :key="item.id" @click="gotoDetail(item)"
							style="align-items: flex-start;border-bottom: 2px solid #fff;">
							<view :class="['titleItem']">{{item.name}}</view>
						</u-grid-item>
					</u-grid>
					<u-grid :col="1" v-if="titleList.length > 0&&curOneCateIndex==3">
						<u-grid-item v-for="(item, index) in titleList" :key="item.id" @click="gotoDetail(item)"
							style="align-items: flex-start;border-bottom: 2px solid #fff;">
							<view :class="['titleItem']">{{item.title}}</view>
						</u-grid-item>
					</u-grid>
					<view :col="1" v-if="titleList.length > 0&&curOneCateIndex==1">
						<view v-for="(item, index) in titleList" :key="item.id" @click="gotoDetail(item)"
							style="align-items:center;border-bottom: 2px solid #fff;display: flex;padding: 20rpx 0;">
							<view style="width: 280rpx;text-align: center;">
								<img src=""  v-if="item.imageslist&&item.imageslist.length==0" class="chImage">
								<img :src="item.imageslist&&item.imageslist[0]" v-else class="chImage">
							</view>
							<view :class="['titleItem']" style=" font-size: 28rpx;">{{item.name}}</view>
						</view>
					</view>
					<u-divider text="暂无数据哦~" v-if="titleList.length==0"></u-divider>
				</view>
			</view>
		</view>
		<view>
		  <u-back-top
		    :scroll-top="scrollTop"
		    bottom="65"
		    :customStyle="bgiStyle"
		    :iconStyle="iconStyle"
		  >
		  </u-back-top>
		</view>
		<z-navigation></z-navigation>
	</view>
</template>

<script>
import $http from '@/config/requestConfig.js';
import {
	mapState
} from 'vuex';
export default {
	data() {
		return {
			playData: {},
			searchValue: '',
			oneCateList: [{
				title: "学术贡献",
				type: 'medicaldesBookType'
			}, {
				title: "学术传承",
				type: 'inheritType'
			}, {
				title: "吴门缘起",
				type: 'lightType'
			}], // 一级分类标题1
			twoCateList: [], // 二级分类标题
			titleList: [], // 方剂标题
			curOneCateIndex: 0, // 当前选中的一级分类
			curTwoCateIndex: 0, // 当前选中的二级分类
			searchList: [], // 搜索结果数组
			showSearchList: false,
			userMes: {}, // 用户信息
			searchDisable: false, // 搜索不可用
			limitShow: false,
			limitTitle: '提示',
			limitContent: '',
			scrollTop: 0,
			bgiStyle: {
			  background: "#5188e5",
			},
			iconStyle: {
			  fontSize: "40rpx",
			  fontWeight: "bold",
			  color: "#fff",
			},
		}
	},
	onLoad() {
		uni.hideTabBar();
		this.getUserInfo();
	},
	onHide() {
		
	},
	//返回顶部
	onPageScroll(e) {
	  this.scrollTop = e.scrollTop;
	},
	computed: {
		...mapState(['userInfo']),
	},
	methods: {
		// 检查是有权限使用搜索功能
		checkDisable() {
			console.log('点击了')
		},
		// 获取用户详情
		getUserInfo() {
			if (this.userInfo.id != undefined) {
				this.$http
					.post('book/user/info/' + this.userInfo.id)
					.then(res => {
						this.userMes = res.user
						this.getCateList();
					});
			}
		},
		// 详情
		gotoDetail(item) {
			console.log('111', item)
			console.log('this.curOneCateIndex', this.curOneCateIndex)
			console.log('this.curTwoCateIndex', this.curTwoCateIndex)
			if (this.curOneCateIndex == 0) {
				if(item.contentType == 2){
					uni.navigateTo({
						url: './xueshuwebView?id=' + item.id
					})
				}else{
					uni.navigateTo({
						url: './xueshugongxianDetail?id=' + item.id
					})
				}
				return
			}
			if (this.curOneCateIndex == 1) {
				uni.navigateTo({
					url: "./medicaldesDetail?id=" + item.id
				})
				return
			}
			if (this.curOneCateIndex == 2) {
				console.log('111', item)
				uni.navigateTo({
					url: './video?title=' + item.name + '&src=' + item.url
				})
				return
			}
			if (this.curOneCateIndex == 3) {
				console.log('111', item)
				uni.navigateTo({
					url: "./recordDetail?id=" + item.id
				})
				return
			}
		},
		// 获取名称
		getTitles(dictType) {
			console.log('dictType', dictType)
			if (this.curOneCateIndex == 0) {
				if(dictType == 2){
					uni.navigateTo({
						url: './zhuanzhuchuban'
					})
					return
				}
				$http.request({
					url: "book/generalArticle/articleByPage",
					method: "POST",
					data: {
						"type": dictType==1?'1':'2',
						"limit": 1000,
						"current": 1,
					},
					header: {
						'Content-Type': 'application/json'
					},
				}).then(res => {
					console.log(res, '内容获取成功')
					if (res.code == 0 && res.result && res.result.records.length > 0) {
						this.titleList = res.result.records
					} else {
						this.titleList = []
					}
				}).catch(e => {
					this.titleList = []
					console.log(e)
				})
			}
			if (this.curOneCateIndex == 1) {
				$http.request({
					url: "book/medicaldes/inheritListByPage",
					method: "POST",
					data: {
						'dictType': dictType,
						"limit": 1000,
						"current": 1
					},
					header: {
						'Content-Type': 'application/json'
					},
				}).then(res => {
					console.log(res, '内容获取成功')
					if (res.code == 0 && res.result.records.length > 0) {
						this.titleList = res.result.records
						for (let i = 0; i < this.titleList.length; i++) {
							this.titleList[i].imageslist = [];
							this.titleList[i].imageslist = this.titleList[i].img.split(";");
						}
					} else {
						this.titleList = []
					}
				}).catch(e => {
					this.titleList = []
					console.log(e)
				})
			}
			if (this.curOneCateIndex == 2) {
				$http.request({
					url: "book/medicaldes/lightListByType?type=" + dictType,
					method: "POST",
					data: {
						"limit": 1000,
						"page": 1,
					},
					header: {
						'Content-Type': 'application/json'
					},
				}).then(res => {
					console.log(res, '内容获取成功')
					if (res.code == 0 && res.result.length > 0) {
						this.titleList = res.result
					} else {
						this.titleList = []
					}
				}).catch(e => {
					this.titleList = []
					console.log(e)
				})
			}
			if (this.curOneCateIndex == 3) {
				$http.request({
					url: "book/medicaldes/recordByType?type=" + dictType,
					method: "POST",
					data: {
						"limit": 1000,
						"page": 1,
					},
					header: {
						'Content-Type': 'application/json'
					},
				}).then(res => {
					console.log(res, '内容获取成功')
					if (res.code == 0 && res.result.length > 0) {
						this.titleList = res.result
					} else {
						this.titleList = []
					}
				}).catch(e => {
					this.titleList = []
					console.log(e)
				})
			}

		},
		setTwoCateIndex(item, index) {
			let dictType = item.dictType
			this.curTwoCateIndex = index
			this.getTitles(dictType)
		},
		setOneCateIndex(item, index) {
			let type = item.type
			this.curOneCateIndex = index
			this.curTwoCateIndex = 0
			this.searchValue = ''
			this.searchList = []
			this.showSearchList = false
			this.getTowCateList(type)
		},
		getTowCateList(type) {
			$http.request({
				url: "book/medicaldes/typeList?label=" + type,
				method: "POST",
				data: {
					loadAnimate: 'none'
				},
			}).then(res => {
				console.log(res, '二级分类获取成功')
				if (res.code == 0 && res.result.length >= 0) {
					this.twoCateList = res.result
					if (this.curOneCateIndex == 0) {
						this.twoCateList = [{
							'dictType': "1",
							"dictValue": "学术思想"
						}, {
							'dictType': "2",
							"dictValue": "出版专著"
						}, {
							'dictType': "3",
							"dictValue": "学术平台"
						}]
					}
					if (this.curOneCateIndex == 2) {
						this.twoCateList = [{
							'dictType': "1",
							"dictValue": "吴门之歌"
						}, {
							'dictType': "2",
							"dictValue": "巴山夜语"
						}, {
							'dictType': "3",
							"dictValue": "吴门之徽"
						}]
					}
					if (this.curOneCateIndex == 3) {
						this.twoCateList = [{
							'dictType': "1",
							"dictValue": "学术贡献"
						}, {
							'dictType': "2",
							"dictValue": "抗疫纪实"
						}, {
							'dictType': "3",
							"dictValue": "吴门公益"
						}]
					}
					this.getTitles(this.twoCateList[0].dictType)
				} else {
					this.twoCateList = []
					this.titleList = []
				}
			}).catch(e => {
				this.twoCateList = []
				this.titleList = []
				console.log(e)
			})
		},
		transformData(inputData) {
			const result = {};
			inputData.forEach(item => {
				const {
					letter
				} = item;
				if (!result[letter]) {
					result[letter] = [];
				}
				result[letter].push(item);
			});
			return result;
		},
		
		getCateList(id) {
			id ? '' : id = 0
			this.twoCateList = []
			this.curTwoCateIndex = 0;
			this.getTowCateList(this.oneCateList[0].type);
		},

		// 放大图片
		previewImage(url) {
			console.log(url)
			uni.previewImage({
				urls: [url],
				longPressActions: {
					itemList: ['很抱歉，暂不支持保存图片到本地'],
					success: function(res) {
						// console.log(res,'+++++')
					}
				}
			});
		},
	},
	onBackPress() {
		// #ifdef APP-PLUS
		plus.key.hideSoftKeybord();
		// #endif
	},
	components: {

	},
}
</script>

<style lang="scss" scoped>
@import '@/static/mixin.scss';
.searchList {
	.item {
		font-size: 28rpx;
		padding: 20rpx;
		border-bottom: 1px solid #dadbde;
	}
}

.scroll-view_H {
	background-color: #fff;
	white-space: nowrap;
	padding: 10rpx;
}
/deep/.u-grid-item{
	margin: 12rpx 0;
}

.contentBox {
	height: 100vh;
	
	.oneCateList {
		width: 100%;
		background: #f3f3f3;
	}

	.twoCateList {
		font-size: 28rpx;
		margin: 12rpx 0;

		.grid-text {
			text-align: center;
			font-size: 28rpx;
			line-height: 38rpx;
		}

		.cur {
			color: $themeColor;
		}
	}

	.titleList {
		padding: 0 10rpx;
		border-radius: 10rpx;
		background-color: #f8f9fa;

		.titleItem {
			font-size: 28rpx;
			padding: 20rpx 20rpx;
		}

		.JFtitleItem {
			background-color: #ffffff;
			padding: 20rpx 10rpx;
			width: 100%;
			border-bottom: 0.5px solid #f8f9fa;
		}

		.wmzhimg {
			width: 220rpx;
			height: 220rpx;
		}
	}
}


.container {
	height: 100vh;
	background-color: #fff;
}
/deep/.u-grid .u-grid-item:last-child{
	border-bottom: 0 !important;
}
.search_box {
	margin: 0 auto;
	overflow: hidden;
	align-items: center;
	width: calc(100% - 10px);
	margin-top: 20rpx;
	margin-bottom: 20rpx;

	.search {
		height: 56upx;
		display: flex;
		width: 86%;
		margin: 0 auto;
		align-items: center;
		padding: 0upx 40upx;
		background-color: #fff;
		border-radius: 20upx;
		box-shadow: 0 0px 10px 1px #54a96633;
	}

	.prompt {
		color: #838383;
		font-size: 24rpx;

	}
}

/deep/.u-divider__text{
	font-size: 28rpx !important;
}

.flexbox {
	display: flex;
}

.uni-modal .uni-modal__bd {
	text-align: left;
}

.limiTy {
	font-size: 28rpx;
	line-height: 46rpx;
}

.chImage {
	height: 100rpx;
}
</style>